net.sf.jasperreports.engine.base

## Class JRBasePrintGraphicElement

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBasePrintElement
  - - net.sf.jasperreports.engine.base.JRBasePrintGraphicElement

- All Implemented Interfaces:
    java.io.Serializable, JRCommonElement, JRCommonGraphicElement, JRIdentifiable, JRPenContainer, JRPrintElement, JRPrintGraphicElement, JRPropertiesHolder, JRStyleContainer
  Direct Known Subclasses:
    JRBasePrintEllipse, JRBasePrintImage, JRBasePrintLine, JRBasePrintRectangle

      public abstract class JRBasePrintGraphicElement
      extends JRBasePrintElement
      implements JRPrintGraphicElement

  Version:
    $Id: JRBasePrintGraphicElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FillEnum` | `fillValue`
    `protected JRPen` | `linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement

      `backcolor, defaultStyleProvider, forecolor, height, key, modeValue, origin, style, uuid, width, x, y`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBasePrintGraphicElement(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyPen(JRPen linePen)`
    `java.awt.Color` | `getDefaultLineColor()`
    `java.lang.Float` | `getDefaultLineWidth()`
    `FillEnum` | `getFillValue()` Indicates the fill type used for this element.
    `JRPen` | `getLinePen()`
    `FillEnum` | `getOwnFillValue()` Indicates the own fill type used for this element.
    `void` | `setFill(FillEnum fillValue)` Sets the fill type used for this element.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBasePrintElement

      `accept, getBackcolor, getDefaultStyleProvider, getForecolor, getHeight, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPrintElementId, getPropertiesMap, getSourceElementId, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, setBackcolor, setForecolor, setHeight, setKey, setMode, setOrigin, setPrintElementId, setSourceElementId, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### linePen

          protected JRPen linePen

    - #### fillValue

          protected FillEnum fillValue

  - ### Constructor Detail

    - #### JRBasePrintGraphicElement

          public JRBasePrintGraphicElement(JRDefaultStyleProvider defaultStyleProvider)

  - ### Method Detail

    - #### getLinePen

          public JRPen getLinePen()

      Specified by:
        `getLinePen` in interface `JRCommonGraphicElement`

    - #### copyPen

          public void copyPen(JRPen linePen)

    - #### getFillValue

          public FillEnum getFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the fill type used for this element.
      Specified by:
        `getFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### getOwnFillValue

          public FillEnum getOwnFillValue()

      Description copied from interface: `JRCommonGraphicElement`
      Indicates the own fill type used for this element.
      Specified by:
        `getOwnFillValue` in interface `JRCommonGraphicElement`
      Returns:
        a value representing one of the fill type constants in `FillEnum`

    - #### setFill

          public void setFill(FillEnum fillValue)

      Description copied from interface: `JRPrintGraphicElement`
      Sets the fill type used for this element.
      Specified by:
        `setFill` in interface `JRCommonGraphicElement`
      Specified by:
        `setFill` in interface `JRPrintGraphicElement`
      Parameters:
        `fillValue` - one of the pen constants in `FillEnum`.

    - #### getDefaultLineWidth

          public java.lang.Float getDefaultLineWidth()

      Specified by:
        `getDefaultLineWidth` in interface `JRPenContainer`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRPenContainer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com